Skip to main content
POST
Submit analysis

Authorizations

Authorization
string
header
required

API key with sf_live_ prefix. Pass as Authorization: Bearer sf_live_...

Headers

Idempotency-Key
string

Unique key for idempotent requests. If a request with the same key was already processed within the last 24 hours, the cached response is returned with X-Idempotent-Replayed: true.

Example:

"idk_550e8400-e29b-41d4-a716-446655440000"

Body

application/json
imageUrl
string<uri>
required

Publicly-accessible URL of the shelf image to analyse.

Example:

"https://cdn.example.com/shelf-photo-001.jpg"

placeId
string

Optional Shelfforce place ID to associate with this analysis.

Example:

"pl_abc123"

taskId
string

Optional Shelfforce task ID to associate with this analysis.

Example:

"tsk_xyz789"

externalId
string

Your own reference ID (e.g., customer ID, campaign ID). Returned in responses and webhook/callback payloads.

Example:

"customer-123"

metadata
object

Arbitrary key-value pairs (max 10 keys, string values, 500 chars each). Returned in responses and webhook/callback payloads.

Example:
callbackUrl
string<uri>

HTTPS URL to receive a signed POST when this analysis completes or fails. A callbackSecret is returned in the response for signature verification.

Example:

"https://your-app.com/callbacks/shelfforce"

Response

Analysis accepted and queued for processing.

data
object
required